#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BNO055.h>
#include <utility/imumaths.h>


byte initComplete = 0;
byte testctr = 0;
unsigned long currTime;
unsigned long timer;
float pitchdeg;
float val;    // variable to read the value from the analog pin
float pitchdegold = 0;
float valold = 0;

#define FS 10000//25 // Rozmiar ramki w mikrosekundach 
#define BNO055_SAMPLERATE_DELAY_MS (100)
Adafruit_BNO055 bno = Adafruit_BNO055(-1,0x28);

volatile byte x[2];


void displaySensorDetails(void)
{
  sensor_t sensor;
  bno.getSensor(&sensor);
  Serial1.println("------------------------------------");
  Serial1.print  ("Sensor:       "); Serial1.println(sensor.name);
  Serial1.print  ("Driver Ver:   "); Serial1.println(sensor.version);
  Serial1.print  ("Unique ID:    "); Serial1.println(sensor.sensor_id);
  Serial1.print  ("Max Value:    "); Serial1.print(sensor.max_value); Serial1.println(" xxx");
  Serial1.print  ("Min Value:    "); Serial1.print(sensor.min_value); Serial1.println(" xxx");
  Serial1.print  ("Resolution:   "); Serial1.print(sensor.resolution); Serial1.println(" xxx");
  Serial1.println("------------------------------------");
  Serial1.println("");
  delay(500);
}


void setup() {
  Serial1.begin(115200);

    Serial1.println("Orientation Sensor Test"); Serial1.println("");

  /* Initialise the sensor */
  if(!bno.begin())
  {
    /* There was a problem detecting the BNO055 ... check your connections */
    Serial1.print("Ooops, no BNO055 detected ... Check your wiring or I2C ADDR!");
    while(1);
  }

  delay(1000);

  /* Display some basic information on this sensor */
  displaySensorDetails();
}

void loop() {

  ////////////////////////////////////

    //* Get a new sensor event */
    sensors_event_t event;
    bno.getEvent(&event);  
    pitchdeg = event.orientation.z; // calculated angle in degrees
    
    Wire.requestFrom(8,2);     // odbior z urządenia urządzenia numer 8, 6 bajtow
    int i=0;
    while (Wire.available()) { // slave moze przeslac mniej niz wymagane
      x[i] = Wire.read();     // odbierz x
      i++;
    }
    if (x[0]==1){
      val=x[1];
    }
    else { //if (x[0]==2){
      val=-x[1]; 
    }
    if (pitchdeg != pitchdegold || val != valold){ 
      Serial1.println(String(float(-pitchdeg))+","+String(int(val)));
      delay(10);
      pitchdegold = pitchdeg;
      valold = val;
    }
}

